@import 'styles/sass/styles.scss';

.layout__header {
    grid-area: __header;
    width: 100%;
    display: flex;
    padding: 1.5rem 3rem 0 3rem;
    @media screen and (max-width: 613px) {
        padding: 1.5rem 0rem 0rem 2rem;
    }   

    &_figure {
        display: flex;
        align-items: center;
        width: calc(100%/3);
        height: 60px;
        @media screen and (max-width: 613px) {
            width: 20%;
            height: 100%;
        }
        &--new_game{
            @media screen and (max-width: 613px) {
                width: 40%;
            }
        }
    }

    &_img {
        width: 60px;
        height: 100%;
        @media screen and (max-width: 613px) {
            width: 50px;
        }
    }

    &_caption  {
        margin-left: .8rem;
        color: $txt-white;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 21;
        font-weight: 600;
    }

    &_nameGame {
        width: calc(100%/3);
        display: flex;
        justify-content: center;
        align-items: center;
        color: $txt-white;
        font-size: 20px;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: 700;
    }

    &_profile {
        width: calc(100%/3);
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &_avatar {
        display: flex;
        justify-content: center;
        vertical-align: middle;
        align-items: center;
        background-color: $bg-purple-ligth;
        color: $txt-purple;
        margin-right: .8rem;
        width: 30px;
        height: 30px;
        border-radius: 100%;
    }

    &_invite {
        background-color: transparent;
        padding: .3rem 1rem;
        border-radius: 50px;
        border: 1px solid #F6F7FC;
        color: #F6F7FC;
    }
}
